summaryrefslogtreecommitdiffstats
path: root/config.tests/unix/largefile.test
diff options
context:
space:
mode:
authorTimothy Pearson <kb9vqf@pearsoncomputing.net>2011-07-10 15:24:15 -0500
committerTimothy Pearson <kb9vqf@pearsoncomputing.net>2011-07-10 15:24:15 -0500
commitbd0f3345a938b35ce6a12f6150373b0955b8dd12 (patch)
tree7a520322212d48ebcb9fbe1087e7fca28b76185c /config.tests/unix/largefile.test
downloadqt3-bd0f3345a938b35ce6a12f6150373b0955b8dd12.tar.gz
qt3-bd0f3345a938b35ce6a12f6150373b0955b8dd12.zip
Add Qt3 development HEAD version
Diffstat (limited to 'config.tests/unix/largefile.test')
-rwxr-xr-xconfig.tests/unix/largefile.test31
1 files changed, 31 insertions, 0 deletions
diff --git a/config.tests/unix/largefile.test b/config.tests/unix/largefile.test
new file mode 100755
index 0000000..f8cde73
--- /dev/null
+++ b/config.tests/unix/largefile.test
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+LARGEFILE=0
+QMKSPEC=$1
+VERBOSE=$2
+SRCDIR=$3
+OUTDIR=$4
+
+# debuggery
+[ "$VERBOSE" = "yes" ] && echo "Testing Large File support... ($*)"
+
+# build and run a test program
+test -d $OUTDIR/config.tests/unix/largefile || mkdir -p $OUTDIR/config.tests/unix/largefile
+$OUTDIR/bin/qmake -nocache -spec "$QMKSPEC" $SRCDIR/config.tests/unix/largefile/largefiletest.pro -o $OUTDIR/config.tests/unix/largefile/Makefile >/dev/null 2>&1
+cd $OUTDIR/config.tests/unix/largefile
+
+if [ "$VERBOSE" = "yes" ]; then
+ (make && ./largefiletest)
+else
+ (make && ./largefiletest) >/dev/null 2>&1
+fi
+LARGEFILE=$?
+
+# done
+if [ "$LARGEFILE" -ne 0 ]; then
+ [ "$VERBOSE" = "yes" ] && echo "Large File support disabled."
+ exit 0
+else
+ [ "$VERBOSE" = "yes" ] && echo "Large File support enabled."
+ exit 1
+fi